# MixpanelDelegate

    public protocol MixpanelDelegate : AnyObject

Delegate protocol for controlling the Mixpanel API’s network behavior.

- `mixpanelWillFlush(_:)`

  Asks the delegate if data should be uploaded to the server.

  #### Declaration

  Swift

      func mixpanelWillFlush(_ mixpanel: MixpanelInstance) -> Bool

  #### Parameters

  `mixpanel` | The mixpanel instance

  #### Return Value

  return true to upload now or false to defer until later

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-03-17)

Generated by jazzy ♪♫ v0.15.4, a Realm project.